Last Comment Bug 767388 - Kill NS_DEBUG
: Kill NS_DEBUG
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Jonathan Watt [:jwatt] (back in October - email directly if necessary)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 08:03 PDT by Jonathan Watt [:jwatt] (back in October - email directly if necessary)
Modified: 2012-06-26 01:57 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (903 bytes, patch)
2012-06-22 08:04 PDT, Jonathan Watt [:jwatt] (back in October - email directly if necessary)
no flags Details | Diff | Splinter Review
patch to kill NS_DEBUG (151.08 KB, patch)
2012-06-22 15:38 PDT, Jonathan Watt [:jwatt] (back in October - email directly if necessary)
bzbarsky: review+
Details | Diff | Splinter Review

Description Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-06-22 08:03:14 PDT
The ifdefs for mDrawEventTargetFrame and mPresArenaAllocCount in nsIPresShell are not consistent. They should be.
Comment 1 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-06-22 08:04:21 PDT
Created attachment 635757 [details] [diff] [review]
patch
Comment 2 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-06-22 08:07:35 PDT
Actually, this patch isn't right. The issue here is that mPresArenaAllocCount is defined inside NS_DEBUG, but used inside DEBUG. I don't know which one is right, but I'll update the patch if you tell me bz. :)
Comment 3 Boris Zbarsky [:bz] (TPAC) 2012-06-22 09:35:00 PDT
Just use DEBUG.
Comment 4 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-06-22 15:18:52 PDT
Seems like NS_DEBUG is just an alias for DEBUG at this point. I think I'll just use Eclipse's refactoring tools to kill it, unless you tell me it still has a purpose.
Comment 5 Boris Zbarsky [:bz] (TPAC) 2012-06-22 15:28:52 PDT
That sounds great!
Comment 6 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-06-22 15:38:52 PDT
Created attachment 635948 [details] [diff] [review]
patch to kill NS_DEBUG

I went through and checked it manually, but feel free to do the same. The only line that isn't a straight s/NS_DEBUG/DEBUG/ is the one in nsDebug.h to remove the define.
Comment 7 Boris Zbarsky [:bz] (TPAC) 2012-06-25 12:09:22 PDT
Comment on attachment 635948 [details] [diff] [review]
patch to kill NS_DEBUG

r=me
Comment 8 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-06-25 15:54:41 PDT
Pushed https://hg.mozilla.org/integration/mozilla-inbound/rev/db9fc4c50e24
Comment 9 Ed Morley [:emorley] 2012-06-26 01:57:26 PDT
https://hg.mozilla.org/mozilla-central/rev/db9fc4c50e24

Note You need to log in before you can comment on or make changes to this bug.